petsc-3.13.6 2020-09-29
Report Typos and Errors

# MatMPIAIJGetSeqAIJ

Returns the local piece of this distributed matrix

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMPIAIJGetSeqAIJ(Mat A,Mat *Ad,Mat *Ao,const PetscInt *colmap[])

Not collective

### Input Parameter

A -The MPIAIJ matrix

### Output Parameters

| Ad | - The local diagonal block as a SeqAIJ matrix
| Ao | - The local off-diagonal block as a SeqAIJ matrix
| colmap | - An array mapping local column numbers of Ao to global column numbers of the parallel matrix

Note: The rows in Ad and Ao are in [0, Nr), where Nr is the number of local rows on this process. The columns in Ad are in [0, Nc) where Nc is the number of local columns. The columns are Ao are in [0, Nco), where Nco is the number of nonzero columns in the local off-diagonal piece of the matrix A. The array colmap maps these local column numbers to global column numbers in the original matrix.

### See Also

MatMPIAIJGetLocalMat(), MatMPIAIJGetLocalMatCondensed(), MatCreateAIJ(), MATMPIAIJ, MATSEQAIJ

### Level

intermediate

### Location

src/mat/impls/aij/mpi/mpiaij.c

### Examples

src/mat/tutorials/ex8.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages